Main Page Widgets Namespaces Book

# Gtk::TreeModelColumn< T > Class Template Reference
[TreeView Classes]

Inheritance diagram for Gtk::TreeModelColumn< T >:

[legend]
List of all members.

## Detailed Description

### template <class T>
class Gtk::TreeModelColumn< T >

Generic TreeModelColumn template.

See TreeModelColumnRecord for a usage example.

## Public Types
typedef T | ElementType
typedef Glib::Value<T> | ValueType
## Public Member Functions
| TreeModelColumn ()

## Member Typedef Documentation

template <class T>
typedef T Gtk::TreeModelColumn<T>::ElementType

template <class T>
typedef Glib::Value<T> Gtk::TreeModelColumn<T>::ValueType

## Constructor & Destructor Documentation

template <class T>
Gtk::TreeModelColumn<T>::TreeModelColumn | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- treemodelcolumn.h